{% trans_default_domain 'Card' %}

{% if card is not null %}
    {# Card: MANDATORY #}
    {# ShowCard: MANDATORY Should we reveal the card? Or should we only see its back? #}
    {# Should we display an amount feedback? #}
    {% set amount = amount | default(1) %}
    {# Should we display a scaled down card that we can zoom? #}
    {% set canZoom = canZoom | default(false) %}
    {# Should we display the rarity feedback? #}
    {% set showRarity = showRarity | default(false) %}

    {% set cardId = card.id %}
    {% set cardElement = card.element.value %}
    {% set cardType = card.type.value %}

    {% set cardClassPrefix = cardType == "dinoz" ? "card_" : "card_spell_" %}

    {% if showCard %}
        {% set cardClass = cardClassPrefix~cardElement %}
    {% else %}
        {% set cardClass = cardClassPrefix~"back_"~cardElement %}
    {% endif %}

    <div class="{{ cardClass }} dinocard{% if canZoom%} zoomable{% endif%}">
        {% if showCard %}
            {% if cardType == "dinoz" %}
                {% if injureCount is defined and injureCount > 0 %}
                    <div style="position: absolute">
                        {% for i in 0..injureCount-1 %}
                            <img style="position:relative; top: 26px; left: 12px; height: 24px" src="{{ asset('img/game/InjureMarker.png') }}"/>
                        {% endfor %}
                    </div>
                {% endif %}
            {% endif %}

            <div class="cardTop">
                <div class="cardName" id="name{{ cardId }}">{{ (cardId ~ '.name') | trans}}</div>
            </div>

            {% if showRarity %}
                <div class="cardRarity">
                    <img alt="common" src="{{ asset('img/gfx/icons/icon_' ~ card.rarity.value ~ '.gif') }}">
                </div>
            {% endif %}

            {% if false == card.isDebug or card.id == 973 %}
                {% set artworkPath = asset('img/gfx/card/artwork/' ~ cardId ~ '.jpg') %}
            {% else %}
                {% set artworkPath = asset('img/gfx/card/artwork/none.jpg') %}
            {% endif %}

            {% if disableArtworkClick is not defined %}
                <a href="{{ path('viewCard', {'id': cardId}) }}">
                    <img class="cardImg" src="{{ artworkPath }}" alt="artwork">
                </a>
            {% else %}
                <img class="cardImg" src="{{ artworkPath }}" alt="artwork">
            {% endif %}

            <div class="mana">
                {% for cost in card.costs | reverse %}
                    {% for i in 0..cost.count - 1 %}
                        <img alt="{{ cost.element.value }}" src="{{ asset('img/gfx/icons/energy_' ~ cost.element.value ~ '.gif') }}">
                    {% endfor %}
                {% endfor %}
            </div>

            <div class="cardBody">
                <div class="cardTxt" id="desc{{ cardId }}">
                    <p>
                        {% for keyword in card.keywords %}
                            {% set keywordName = keyword.value %}
                            {% set name = ('capacities.' ~ keywordName ~ '.name') | trans %}
                            <span class="capacities"
                                  onmouseover="showTip(this,'{{ name }}', '{{ ('capacities.' ~ keywordName ~ '.tooltip') | trans }}');"
                                  onmouseout="hideTip()">
                                <b>{{ name }}</b>
                            </span>
                        {% endfor %}
                    </p>
                    <p>
                        {% if cardType != "dinoz" or card.hasAnyEffects %}
                            {{ (cardId ~ '.effects') | trans | raw }}
                        {% endif %}
                    </p>
                </div>

                <div class="cardFlavor">
                    <p>
                        {{ (cardId ~ '.lore') | trans | raw }}
                    </p>
                </div>

                {% if cardType == "dinoz" %}
                    {% set baseStrength = card.extraData["dinozStats"]["strength"] %}
                    {% set strength = strength | default(baseStrength) %}
                    {% set baseEndurance = card.extraData["dinozStats"]["endurance"] %}
                    {% set endurance = endurance | default(baseEndurance) %}
                    <div class="CardTurn">
                        {{ card.extraData["dinozStats"]["hatchTime"] }}
                    </div>

                    <div class="cardDef{% if baseEndurance != endurance %} statHighlight{% endif %}">
                        {{ endurance }}
                    </div>

                    <div class="cardAtk{% if baseStrength != strength %} statHighlight{% endif %}">
                        {{ strength }}
                    </div>
                {% else %}
                    <div class="CardTurn">
                        <img class="icon" alt="icon charm" src="{{ asset('img/gfx/icons/icon_small_' ~ cardType ~ '.gif') }}">
                    </div>
                {% endif %}
            </div>

            <div class="nbImages">
                <label id="ex_{{ cardId }}">
                    {% if amount > 1 %}
                        {# TODO Support amount above > 9 #}
                        <img class="icon" alt="xxx" src="{{ asset('img/gfx/font/x.gif') }}"><img alt="{{ amount }}" src="/img/gfx/font/{{ amount }}.gif"/>
                    {% endif %}
                </label>
            </div>

            <div class="cachecache" id="cache_{{ cardId }}">
                <label id="nb_{{ cardId }}">{{ amount }}</label>
                <label id="type_{{ cardId }}">{{ cardType }}</label>
                <label id="element_{{ cardId }}">{{ cardElement }}</label>
                <label id="rarity_{{ cardId }}">{{ card.rarity.value }}</label>
                <label id="energy_{{ cardId }}">{{ card.costsToString }}</label>
                {% if cardType == "dinoz" %}
                    <label id="atk_{{ cardId }}">{{ card.extraData["dinozStats"]["strength"] }}</label>
                    <label id="def_{{ cardId }}">{{ card.extraData["dinozStats"]["endurance"] }}</label>
                    <label id="ecl_{{ cardId }}">{{ card.extraData["dinozStats"]["hatchTime"] }}</label>
                {% endif %}
            </div>
        {% else %}
            {% if hatchMarkerCount is defined and hatchMarkerCount > 0 %}
                <div style="position: absolute">
                    {% for i in 0..hatchMarkerCount-1 %}
                        <img style="position: relative; top : 6px; left: 6px; height: 24px" src="{{ asset('img/game/HatchMarker.png') }}"/>
                    {% endfor %}
                </div>
            {% endif %}
        {% endif %}
    </div>
{% else %}
    <img src="{{ asset('img/game/cards_back.gif') }}" alt="card back"/>
{% endif %}